Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
canhgiap

Lisp xuất kích thước tổng thể của solid sang excell

Các bài được khuyến nghị

Chào các bác,

 

em muốn có mội lisp xuất các kích thước tổng thể của các solid trong autocad 3d sang excell. các bác dúp em với

 

cám ơn các bác rất nhiều

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Chào các bác,

 

em muốn có mội lisp xuất các kích thước tổng thể của các solid trong autocad 3d sang excell. các bác dúp em với

 

cám ơn các bác rất nhiều

Bác cần phải có toạ độ cụ thể của Solid mới có thể xuất qua excell được, tuy nhiên câu hỏi của bác rất chung chung nên khó hiểu, Bác có thể nói rỏ hơn. Thank you

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Chào các bác,

 

em muốn có mội lisp xuất các kích thước tổng thể của các solid trong autocad 3d sang excell. các bác dúp em với

 

cám ơn các bác rất nhiều

Bác cần phải có toạ độ cụ thể của Solid mới có thể xuất qua excell được, tuy nhiên câu hỏi của bác rất chung chung nên khó hiểu, Bác có thể nói rỏ hơn. Thank you

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Là thế này bác:

 

Bây giờ em đang vẽ hàng nội thất, đựng hình 3d bằng các solid ví dụ : cái bàn có cái mặt và 4 cái chân => em muốn hỏi là từ các chi tiết bằng solid đó có thể xuất ra kích thước của từng chi tiết của nó ra bảng excell không ví dụ: cái bàn : chân - 50 x 50 x 750 - số lượng - 4, mặt thì 600 x 900 x 25 - số lượng - 1 chẳng hạn

 

 

cám ơn bác nhiều

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Là thế này bác:

 

Bây giờ em đang vẽ hàng nội thất, đựng hình 3d bằng các solid ví dụ : cái bàn có cái mặt và 4 cái chân => em muốn hỏi là từ các chi tiết bằng solid đó có thể xuất ra kích thước của từng chi tiết của nó ra bảng excell không ví dụ: cái bàn : chân - 50 x 50 x 750 - số lượng - 4, mặt thì 600 x 900 x 25 - số lượng - 1 chẳng hạn

cám ơn bác nhiều

Sao mình không thể lấy được các properties : Length, Width, Height trong Solid Boxđược nhỉ?

Thao tác qua Activex không có thuộc tính Length, Width, Height dành cho Solid Box.

Vậy các thuộc tính này được lấy ra như thế nào?

Mong các bác chỉ giúp để Tue_NV có thể giúp cho bạn canhgiap

 

Tue_NV xin cảm ơn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Sao mình không thể lấy được các properties : Length, Width, Height trong Solid Boxđược nhỉ?

Thao tác qua Activex không có thuộc tính Length, Width, Height dành cho Solid Box.

Vậy các thuộc tính này được lấy ra như thế nào?

Mong các bác chỉ giúp để Tue_NV có thể giúp cho bạn canhgiap

 

Tue_NV xin cảm ơn.

Các properties : Length, Width, Height của Solid Box

(anh không chắc, Tue_NV kiểm tra lại nhé)

 

(setq ent (car (entsel "\nSelect Solid: ")))

(setq obj (vlax-ename->vla-object ent))

(vlax-invoke-method obj 'GetBoundingbox 'pt1 'pt2)

(setq tem (mapcar '- (vlax-safearray->list pt1) (vlax-safearray->list pt2)))

(princ (strcat "\nLength : " (rtos (abs(car tem)))))

(princ (strcat "\nWidth : " (rtos (abs(cadr tem)))))

(princ (strcat "\nHeight : " (rtos (abs(caddr tem)))))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Các properties : Length, Width, Height của Solid Box

(anh không chắc, Tue_NV kiểm tra lại nhé)

 

(setq ent (car (entsel "\nSelect Solid: ")))

(setq obj (vlax-ename->vla-object ent))

(vlax-invoke-method obj 'GetBoundingbox 'pt1 'pt2)

(setq tem (mapcar '- (vlax-safearray->list pt1) (vlax-safearray->list pt2)))

(princ (strcat "\nLength : " (rtos (abs(car tem)))))

(princ (strcat "\nWidth : " (rtos (abs(cadr tem)))))

(princ (strcat "\nHeight : " (rtos (abs(caddr tem)))))

Chào anh gia_bach

Em cũng đã nghĩ đến chuyện GetBoundingbox để tính các trị số Length, Width, Height của Solid Box.

Tuy nhiên, nó chỉ đúng với hình với góc xoay = 0 mà thôi. Chứ với còn góc xoay khác 0 thì không còn đúng nữa. Nếu một hình chữ nhật nó xoay một góc a (a khác 0) thì các điểm max sẽ không còn trùng với điểm phải trên và điểm min sẽ không còn trùng với điểm dưới, trái nữa-> Kết quả sẽ bị sai ngay. Còn 1 vấn đề nữa là không làm sao tìm được thuộc tính góc xoay (Rotation) của Solid Box này.

 

Thao tác qua Activex hoàn toàn không có. Bế tắc thật sự. Anh gia bach có nghĩ đến phương án nào để có thể lấy được thuộc tính này không? Rõ ràng bấm Ctrol+1 thì xem các thuộc tính này vẫn có.

cảm ơn anh gia_bach

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×